cURL
curl --request PATCH \
--url https://api.staging.qyl.dev/api/v1/deployments/{deploymentId} \
--header 'Content-Type: application/json' \
--data '
{
"healthy_replicas": 123,
"error_message": "<string>"
}
'import requests
url = "https://api.staging.qyl.dev/api/v1/deployments/{deploymentId}"
payload = {
"healthy_replicas": 123,
"error_message": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({healthy_replicas: 123, error_message: '<string>'})
};
fetch('https://api.staging.qyl.dev/api/v1/deployments/{deploymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deployment.id": "<string>",
"service.name": "<string>",
"service.version": "2.1.0",
"environment": "development",
"status": "pending",
"strategy": "rolling",
"start_time": "2023-11-07T05:31:56Z",
"end_time": "2023-11-07T05:31:56Z",
"duration_s": 1,
"deployed_by": "<string>",
"git_commit": "<string>",
"git_branch": "<string>",
"previous_version": "2.1.0",
"rollback_target": "<string>",
"replica_count": 123,
"healthy_replicas": 123,
"error_message": "<string>"
}{
"type": "about:blank",
"title": "Validation Failed",
"status": 123,
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>",
"rejected_value": "<string>"
}
],
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"type": "about:blank",
"title": "Not Found",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"resource_type": "<string>",
"resource_id": "<string>"
}{
"type": "about:blank",
"title": "Internal Server Error",
"status": 123,
"detail": "<string>",
"instance": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"error_code": "<string>"
}Deployments
Patch apiv1deployments
Update deployment status
PATCH
/
api
/
v1
/
deployments
/
{deploymentId}
cURL
Path Parameters
Body
application/json
Response
The request has succeeded.
Complete deployment record
Deployment ID
Service name
Service version
Pattern:
^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\.(?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\+([0-9a-zA-Z-]+(?:\.[0-9a-zA-Z-]+)*))?$Example:
"2.1.0"
Environment
Available options:
development, testing, staging, production, preview, canary Status
Available options:
pending, in_progress, success, failed, rolled_back, cancelled Strategy
Available options:
rolling, blue_green, canary, recreate, ab_test, shadow, feature_flag Start time
End time
Duration in seconds
Required range:
x >= 0Deployed by (user/system)
Git commit SHA
Git branch
Previous version
Pattern:
^(0|[1-9]\d*)\.(0|[1-9]\d*)\.(0|[1-9]\d*)(?:-((?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*)(?:\.(?:0|[1-9]\d*|\d*[a-zA-Z-][0-9a-zA-Z-]*))*))?(?:\+([0-9a-zA-Z-]+(?:\.[0-9a-zA-Z-]+)*))?$Example:
"2.1.0"
Rollback target (if rolled back)
Replica count
Healthy replica count
Error message (if failed)
Was this page helpful?
